package org.eclipse.jdt.internal.compiler.codegen;

package .tmp;

import org.eclipse.jdt.internal.compiler.codegen.StackMapFrameCodeStream;
import org.eclipse.jdt.internal.compiler.codegen.VerificationTypeInfo;

public class StackMarker {
  public int pc;
  
  public int destinationPC;
  
  public VerificationTypeInfo[] infos;
  
  public StackMarker(int pc, int destinationPC) {
    this.pc = pc;
    this.destinationPC = destinationPC;
  }
  
  public void setInfos(VerificationTypeInfo[] infos) {
    this.infos = infos;
  }
  
  public String toString() {
    StringBuffer buffer = new StringBuffer();
    buffer
      .append("[copy stack items from ")
      .append(this.pc)
      .append(" to ")
      .append(this.destinationPC);
    if (this.infos != null)
      for (int i = 0, max = this.infos.length; i < max; i++) {
        if (i > 0)
          buffer.append(','); 
        buffer.append(this.infos[i]);
      }  
    buffer.append(']');
    return String.valueOf(buffer);
  }
}
